Subject: Re: bug#38257: Acknowledgement (27.0.50; ERC does not match or highlight nick surrounded by parens)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 22 Nov 2019 13:25:02 +0100

Amin Bandali <[email-masked]> writes:

> That said, from a brief chat with Tom Tromey in
> #erc on freenode today, I agree with him that
> one probably shouldn't make changes to syntax
> tables lightly, without first considering all
> possible cases.  I wonder if you or Tom would
> be so kind to do such an audit for this change.
> I'd also be open to other ways of doing this if
> there's a better way.  I guess in general it is
> kind of tricky to deal with these characters in
> URLs.  At least one person I talked to earlier
> today said they would expect the apostrophe to
> be part of the URL (i.e. not a word boundary).
> It may be even more tricky or more subjective
> for parens.
>
> Thoughts?

In general, you can't use syntax tables to give satisfactory URL DWIM
recognition.  Both of these things are common:

  There's a web page (http://foo.bar)

and

  There's a web page http://foo.bar/lala_(yes)

The latter is very common with Wikipedia URLs.

So I think for this to work with erc, I think it would make sense to
separate out the URL recognition in erc from other buttons, and base it
on browse-url-button-regexp instead, which has worked out these kinks
and is pretty DWIM.

And then you can change the syntax table to make the other, simpler
buttons (for nicks etc) work.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no